if not exists (select * from dbo.sysobjects where id = object_id(N'[PERSON]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [PERSON]
(
	[PersonId] [int] IDENTITY(1, 1) NOT NULL PRIMARY KEY,
	[FullName] [varchar](100) NOT NULL,
	[EMail] [varchar](100) NOT NULL UNIQUE,
	[Password] [varchar](255) NOT NULL
) 
GO


if not exists (select * from dbo.sysobjects where id = object_id(N'[WEATHER_PARAMETER]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [WEATHER_PARAMETER]
(
	[WeatherParameterId] [int] IDENTITY(1, 1) NOT NULL PRIMARY KEY,
	[ParameterName] [varchar](50) NOT NULL UNIQUE,
	[Unit] [varchar](50)	 
) 
GO


if not exists (select * from dbo.sysobjects where id = object_id(N'[WEATHER_DATA]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [WEATHER_DATA]
(
	[WeatherDataId] [int] IDENTITY(1, 1) NOT NULL PRIMARY KEY,
	[WeatherParameterId] [int] NOT NULL FOREIGN KEY REFERENCES [WEATHER_PARAMETER] ([WeatherParameterId]),
	[Value] [float] NOT NULL,
	[TimeStamp] [datetime] NOT NULL
) 
GO